Skip to main content
POST
/
v1
/
webhook_endpoints
/
{id}
Update a webhook endpoint
curl --request POST \
  --url https://api.yorlet.com/v1/webhook_endpoints/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_version": "<string>",
  "description": "<string>",
  "disabled": true,
  "enabled_events": [
    "<string>"
  ],
  "metadata": {},
  "url": "<string>"
}
'
import requests

url = "https://api.yorlet.com/v1/webhook_endpoints/{id}"

payload = {
    "api_version": "<string>",
    "description": "<string>",
    "disabled": True,
    "enabled_events": ["<string>"],
    "metadata": {},
    "url": "<string>"
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    api_version: '<string>',
    description: '<string>',
    disabled: true,
    enabled_events: ['<string>'],
    metadata: {},
    url: '<string>'
  })
};

fetch('https://api.yorlet.com/v1/webhook_endpoints/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "created": 123,
  "object": "webhook_endpoint",
  "api_version": "<string>",
  "connected_accounts": true,
  "description": "<string>",
  "enabled_events": [
    "<string>"
  ],
  "url": "<string>",
  "account": "<string>",
  "deleted": false,
  "metadata": {},
  "signing_secret": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
api_version
string

The API version events sent to this endpoint are rendered with. Defaults to your account API version at the time the endpoint is created.

description
string | null

An optional description of what the webhook is used for.

disabled
boolean

Disable the webhook endpoint if set to true.

enabled_events
string[]

The list of events to enable for this endpoint.

Minimum array length: 1
metadata
object | null

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

url
string<uri>

The URL of the webhook endpoint.

Response

200 - application/json

Returns the webhook endpoint object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
webhook_endpoint
api_version
string | null
required

The API version events sent to this endpoint are rendered with.

connected_accounts
boolean
required

Whether the webhook endpoint is for connected account events.

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

enabled_events
string[]
required

The events this endpoint will receive.

status
enum<string>
required

The status of the webhook endpoint.

Available options:
enabled,
disabled
url
string
required

The URL of the webhook endpoint.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object | null

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

signing_secret
string

The secret used to sign webhook payloads sent to this endpoint.